[PATCH] generic/{075,112}: fix printing the incorrect return value of fsx

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



From: Xiubo Li <xiubli@xxxxxxxxxx>

We need to save the result of the 'fsx' temporarily.

Fixes: https://tracker.ceph.com/issues/58834
Signed-off-by: Xiubo Li <xiubli@xxxxxxxxxx>
---
 tests/generic/075 | 6 ++++--
 tests/generic/112 | 6 ++++--
 2 files changed, 8 insertions(+), 4 deletions(-)

diff --git a/tests/generic/075 b/tests/generic/075
index 03a394a6..bc3a11c7 100755
--- a/tests/generic/075
+++ b/tests/generic/075
@@ -53,9 +53,11 @@ _do_test()
 
     # This cd and use of -P gets full debug on "$RESULT_DIR" (not TEST_DEV)
     cd $out
-    if ! $here/ltp/fsx $_param -P "$RESULT_DIR" $seq.$_n $FSX_AVOID &>/dev/null
+    $here/ltp/fsx $_param -P "$RESULT_DIR" $seq.$_n $FSX_AVOID &>/dev/null
+    local res=$?
+    if [ $res -ne 0 ]
     then
-	echo "    fsx ($_param) failed, $? - compare $seqres.$_n.{good,bad,fsxlog}"
+	echo "    fsx ($_param) failed, $res - compare $seqres.$_n.{good,bad,fsxlog}"
 	mv $out/$seq.$_n $seqres.$_n.full
 	od -xAx $seqres.$_n.full > $seqres.$_n.bad
 	od -xAx "$RESULT_DIR"/$seq.$_n.fsxgood > $seqres.$_n.good
diff --git a/tests/generic/112 b/tests/generic/112
index 971d0467..0e08cbf9 100755
--- a/tests/generic/112
+++ b/tests/generic/112
@@ -53,9 +53,11 @@ _do_test()
 
     # This cd and use of -P gets full debug on "$RESULT_DIR" (not TEST_DEV)
     cd $out
-    if ! $here/ltp/fsx $_param -P "$RESULT_DIR" $FSX_AVOID $seq.$_n &>/dev/null
+    $here/ltp/fsx $_param -P "$RESULT_DIR" $FSX_AVOID $seq.$_n &>/dev/null
+    local res=$?
+    if [ $res -ne 0 ]
     then
-	echo "    fsx ($_param) returned $? - see $seq.$_n.full"
+	echo "    fsx ($_param) returned $res - see $seq.$_n.full"
 	mv "$RESULT_DIR"/$seq.$_n.fsxlog $seqres.$_n.full
 	status=1
 	exit
-- 
2.31.1




[Index of Archives]     [CEPH Users]     [Ceph Large]     [Ceph Dev]     [Information on CEPH]     [Linux BTRFS]     [Linux USB Devel]     [Video for Linux]     [Linux Audio Users]     [Yosemite News]     [Linux Kernel]     [Linux SCSI]

  Powered by Linux